version: "3.8"

services:
  runner:
    image: gitea/act_runner:latest
    restart: always
    container_name: safespace
    environment:
      # Путь внутри контейнера к конфигу
      CONFIG_FILE: /config.yaml
      GITEA_INSTANCE_URL: https://git.dadehard.ru/
      GITEA_RUNNER_REGISTRATION_TOKEN: "UzVNobPFBJe8ZoQXwu5ZamfgqCpTJZGR3LDVnX7N"
      GITEA_RUNNER_NAME: "Docker"
      # Метки в одну строку через запятую
      GITEA_RUNNER_LABELS: "Docker,docker-latest:docker://node:18-bullseye,linux-amd64:docker://node:18-bullseye"
    volumes:
      - /docker/act_runner/config.yaml:/config.yaml
      - /docker/act_runner/data:/data
      - /var/run/docker.sock:/var/run/docker.sock
    networks:
      - applications
networks:
  applications:
    external: true
